include ../../molecules/site-search/site-search

mixin site-nav(spec)
	- spec = spec || {}
	- spec.__class = spec.__class || ''

	//- +mobile-site-search()
	nav.site-nav
		ul.site-nav__list
			each item, index in spec.items
				li.site-nav__item.expanded(data-target="#menu-" + index, data-submenu="#submenu-" + index)
					.site-nav__link
						a(href= item.url)= item.name
						
					if item.children
						ul.site-nav__lvl2(id="submenu-" + index, class="dropdown")
							each child, childIndex in item.children
								li.site-nav__item.site-nav__lvl2-item
									a.site-nav__link.site-nav__lvl2-link(href= child.url)
										span= child.name